﻿using Borepin.Model;
using FabAccessAPI.Schema;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Borepin.Service.BFFH
{
    public interface IBFFHService
    {
        Connection CurrentConnection { get; }
        bool IsConnected { get; }

        Task<IList<Connection>> GetConnections();

        Task RemoveConnection(Connection connection);
        Task<bool> TestConnection(Connection connection);


        Task Connect(Connection connection);
        Task Connect(Connection connection, string password);
        Task Reconnect();
        Task Disconnect();


        Task<Session> GetSession();
    }
}